/*!
 * @file data_stream.h
  *  Main class for a data stream, used for our network stream
  *  network stream will get data, and will send it with a network socket
  *  to another network stream

*/

#ifndef _DATA_STREAM_H
#define _DATA_STREAM_H

#include "base_object.h"

class DataStream : public BaseObject
{
      DataStream();
      ~DataStream();
      
      protected: 
      byte inBuffer [];
      byte outBuffer [];
      
      public void connectStream();
      
      public void disconnectStream();
      
      public virtual void processData();
      
      protected virtual void write();
      
      protected virtual void read();      
}

#endif /* _DATA_STREAM_ */
